#
# spec file for package libt3window
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libt3window
%define lname	libt3window0
Version:        0.2.3
Release:        bp153.1.16
Summary:        The Tilde Toolkit's window-based terminal program library
License:        GPL-3.0
Group:          Development/Libraries/C and C++
Url:            http://os.ghalkes.nl/t3/libt3window.html

#Git-Clone:	git://github.com/gphalkes/t3widget
Source:         http://os.ghalkes.nl/dist/%name-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gettext-tools
BuildRequires:  libtool
BuildRequires:  libunistring-devel
BuildRequires:  ncurses-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libtranscript) >= 0.2.2
%if 0%{?suse_version}
BuildRequires:  fdupes
%endif

%description
libt3window library provides functions for manipulating the terminal
and for creating (possibly overlapping) windows on a terminal.
libt3window can be used instead of (n)curses for drawing on the
terminal.

%package -n %lname
Summary:        The Tilde Toolkit's window-based terminal program library
Group:          System/Libraries

%description -n %lname
libt3window library provides functions for manipulating the terminal
and for creating (possibly overlapping) windows on a terminal.
libt3window can be used instead of (n)curses for drawing on the
terminal.

%package devel
Summary:        Development files for libt3window, a library for window-based terminal drawing
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
libt3window library provides functions for manipulating the terminal
and for creating (possibly overlapping) windows on a terminal.
libt3window can be used instead of (n)curses for drawing on the
terminal.

This subpackage contains libraries and header files for developing
applications that want to make use of libt3window.

%prep
%setup -q

%build
export CC=gcc
%configure --docdir="%_docdir/%name"
make %{?_smp_mflags}

%install
b="%buildroot"
make install DESTDIR="$b"
rm -f "$b/%_libdir"/*.la
%if 0%{?fdupes:1}
%fdupes %buildroot/%_prefix
%endif

%post   -p /sbin/ldconfig -n %lname
%postun -p /sbin/ldconfig -n %lname

%files -n %lname
%defattr(-,root,root)
%_libdir/libt3window.so.0*
%doc COPYING

%files devel
%defattr(-,root,root)
%_includedir/t3/
%_libdir/libt3window.so
%_libdir/pkgconfig/libt3window.pc
%_docdir/%name/
%exclude %_docdir/%name/COPYING

%changelog
* Thu Feb 19 2015 p.drouand@gmail.com
- Update to version 0.2.3
  * Re-release of version 0.2.2 to update the configure script.
* Mon Jul 21 2014 jengelh@inai.de
- Update to new upstream release 0.2.2
  * This release fixes the handling of the nul character.
* Fri Feb  7 2014 dimstar@opensuse.org
- Declare CC=gcc to ensure we build with gcc; seems make falls back
  to 'c99' otherwise (instead of requiring posix_cc).
* Mon Jun 10 2013 jengelh@inai.de
- Initial package (version 0.2.1) for build.opensuse.org
